org.apache.cassandra.cql3.statements

## Class DropColumnFamilyStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.CFStatement
    - - org.apache.cassandra.cql3.statements.SchemaAlteringStatement
      - - org.apache.cassandra.cql3.statements.DropColumnFamilyStatement

- All Implemented Interfaces:
    CQLStatement

      public class DropColumnFamilyStatement
      extends SchemaAlteringStatement

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `ParsedStatement.Prepared`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `cfName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropColumnFamilyStatement(CFName name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `announceMigration()`
    `ResultMessage.SchemaChange.Change` | `changeType()`
    `void` | `checkAccess(ClientState state)` Perform any access verification necessary for the statement.

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.SchemaAlteringStatement

      `execute, executeInternal, prepare, prepareKeyspace, validate`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.CFStatement

      `columnFamily, keyspace`

    - ### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

      `getBoundTerms, setBoundTerms`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

      `getBoundTerms`

- - ### Constructor Detail

    - #### DropColumnFamilyStatement

          public DropColumnFamilyStatement(CFName name)

  - ### Method Detail

    - #### checkAccess

          public void checkAccess(ClientState state)
                           throws UnauthorizedException,
                                  InvalidRequestException

      Description copied from interface: `CQLStatement`
      Perform any access verification necessary for the statement.
      Parameters:
        `state` - the current client state
      Throws:
        `UnauthorizedException`
        `InvalidRequestException`

    - #### announceMigration

          public void announceMigration()
                                 throws ConfigurationException

      Specified by:
        `announceMigration` in class `SchemaAlteringStatement`
      Throws:
        `ConfigurationException`

    - #### changeType

          public ResultMessage.SchemaChange.Change changeType()

      Specified by:
        `changeType` in class `SchemaAlteringStatement`

Copyright © 2014 The Apache Software Foundation